Thông tin room nước ngoài
curl --request GET \
--url https://openapi.tcbs.com.vn/tartarus/v1/tickerSnaps \
--header 'Authorization: Bearer <token>'import requests
url = "https://openapi.tcbs.com.vn/tartarus/v1/tickerSnaps"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://openapi.tcbs.com.vn/tartarus/v1/tickerSnaps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://openapi.tcbs.com.vn/tartarus/v1/tickerSnaps",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://openapi.tcbs.com.vn/tartarus/v1/tickerSnaps"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://openapi.tcbs.com.vn/tartarus/v1/tickerSnaps")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://openapi.tcbs.com.vn/tartarus/v1/tickerSnaps")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"tradingDate": "07/08/2025",
"data": [
{
"symbol": "PLP",
"ceilPrice": "4550",
"floorPrice": "3970",
"refPrice": "4260",
"bidPrice01": "4270",
"bidPrice02": "4260",
"bidPrice03": "4250",
"bidQtty01": "200",
"bidQtty02": "800",
"bidQtty03": "900",
"offerPrice01": "4350",
"offerPrice02": "4380",
"offerPrice03": "4390",
"offerQtty01": "400",
"offerQtty02": "400",
"offerQtty03": "2900",
"matchPrice": "4350",
"matchQtty": "100",
"change": 90,
"changePercent": 2.112676056338028,
"avg": 4300,
"high": "4390",
"low": "4140",
"totalValue": "128278000",
"totalVolume": "29800",
"sellForeignQtty": "14000",
"room": "44759594",
"open": "4350"
}
]
}Dữ liệu thị trường
Thông tin room nước ngoài
Lấy thông tin room nước ngoài và snapshot thị trường.
GET
/
tartarus
/
v1
/
tickerSnaps
Thông tin room nước ngoài
curl --request GET \
--url https://openapi.tcbs.com.vn/tartarus/v1/tickerSnaps \
--header 'Authorization: Bearer <token>'import requests
url = "https://openapi.tcbs.com.vn/tartarus/v1/tickerSnaps"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://openapi.tcbs.com.vn/tartarus/v1/tickerSnaps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://openapi.tcbs.com.vn/tartarus/v1/tickerSnaps",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://openapi.tcbs.com.vn/tartarus/v1/tickerSnaps"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://openapi.tcbs.com.vn/tartarus/v1/tickerSnaps")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://openapi.tcbs.com.vn/tartarus/v1/tickerSnaps")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"tradingDate": "07/08/2025",
"data": [
{
"symbol": "PLP",
"ceilPrice": "4550",
"floorPrice": "3970",
"refPrice": "4260",
"bidPrice01": "4270",
"bidPrice02": "4260",
"bidPrice03": "4250",
"bidQtty01": "200",
"bidQtty02": "800",
"bidQtty03": "900",
"offerPrice01": "4350",
"offerPrice02": "4380",
"offerPrice03": "4390",
"offerQtty01": "400",
"offerQtty02": "400",
"offerQtty03": "2900",
"matchPrice": "4350",
"matchQtty": "100",
"change": 90,
"changePercent": 2.112676056338028,
"avg": 4300,
"high": "4390",
"low": "4140",
"totalValue": "128278000",
"totalVolume": "29800",
"sellForeignQtty": "14000",
"room": "44759594",
"open": "4350"
}
]
}Ủy quyền
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Tham số truy vấn
Rổ chứng khoán: 1 = HOSE, 2 = VN30, 3 = HNX, 4 = HNX30, 5 = Upcom, 10 = Midcap, 11 = VN100, 12 = VNAllshare, 13 = VNSmallcap, 14 = VNXAllshare, 15 = VN50, 16 = VNSI.
Tùy chọn có sẵn:
1, 2, 3, 4, 5, 10, 11, 12, 13, 14, 15, 16